
Redmine - Defect #5330

Error show user and overall activity link.

2010-04-15 21:45 - Marcello Henrique

Status: Closed Start date: 2010-04-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

With some users this error appears:

ActionView::TemplateError (wrong constant name issue) on line #51 of app/views/users/show.rhtml:

48: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| ->

49:   <dt class="<= e.event_type >">

50:   <span class="time"><= format_time(e.event_datetime, false) ></span>

51:   <= content_tag('span', h(e.project), :class => 'project') >

52:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

53:   <dd><span class="description"><= format_activity_description(e.event_description) ></span></dd>

54: < end -%>

app/models/journal.rb:62:in `project'

    app/views/users/show.rhtml:51:in `_run_rhtml_app47views47users47show46rhtml'

    app/views/users/show.rhtml:48:in `each'

    app/views/users/show.rhtml:48:in `_run_rhtml_app47views47users47show46rhtml'

    app/views/users/show.rhtml:45:in `each'

    app/views/users/show.rhtml:45:in `_run_rhtml_app47views47users47show46rhtml'

    app/controllers/users_controller.rb:70:in `show'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

 Rendering /data/redmine/public/500.html (500 Internal Server Error)

Processing ProjectsController#activity (for 200.137.222.231 at 2010-04-15 16:43:00) [GET]

Parameters: {"action"=>"activity", "id"=>nil, "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/activity

ActionView::TemplateError (wrong constant name issue) on line #12 of app/views/projects/activity.rhtml:

9:   <dt class="<%= e.event_type >  <= User.current.logged? && e.respond_to?(:event_author) && User.current == e.event_author ?

'me' : nil >">

10:     <= avatar(e.event_author, :size => "24") if e.respond_to?(:event_author) >

11:   <span class="time"><= format_time(e.event_datetime, false) ></span>

12:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? > <#= || Herve Harster != e.project >

13:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

14:   <dd><span class="description"><= format_activity_description(e.event_description) ></span>

15:   <span class="author"><= e.event_author if e.respond_to?(:event_author) %></span></dd>

app/models/journal.rb:62:in `project'

    app/views/projects/activity.rhtml:12:in `_run_rhtml_app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:8:in `each'

    app/views/projects/activity.rhtml:8:in `_run_rhtml_app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:5:in `each'
    app/views/projects/activity.rhtml:5:in `_run_rhtml_app47views47projects47activity46rhtml'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

 Rendering /data/redmine/public/500.html (500 Internal Server Error)

I'm using: Debian Lenny, Rails 2.3.5, ruby 1.8.7 (2009-06-12 patchlevel 174) [x86_64-linux], mysql  Ver 14.12 Distrib 5.0.51a, for

debian-linux-gnu (x86_64) using readline 5.2

svn info

Caminho: .

URL: http://redmine.rubyforge.org/svn/trunk

Raiz do Repositório: http://redmine.rubyforge.org/svn

UUID do repositório: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revisão: 3671

Tipo de Nó: diretório

Agendado: normal

Autor da Última Mudança: jplang

Revisão da Última Mudança: 3671

Data da Última Mudança: 2010-04-13 14:51:06 -0300 (Ter, 13 Abr 2010)

History

#1 - 2010-04-16 18:42 - Marcello Henrique

- Status changed from New to Resolved

- % Done changed from 0 to 100

Disregard this task...

In table journals in journalized_type the correct value is Issue and was defined issue... I correct this in my database and now all is well.

#2 - 2010-04-16 21:49 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2011-01-10 21:10 - Andrew Betts

Marcello, I just had this exact problem and wanted to say thanks for saving me many hours of my life trying to debug that one :-)

#4 - 2011-01-12 14:38 - Marcello Henrique

Andrew Betts wrote:

Marcello, I just had this exact problem and wanted to say thanks for saving me many hours of my life trying to debug that one :-)

 How nice that can help someone.

#5 - 2012-08-01 14:41 - belkacem niach

- File Untitled.jpg added

-

#6 - 2012-08-01 14:45 - belkacem niach

- File 201204232223_002.JPG added

-
#7 - 2012-08-01 15:24 - Etienne Massip

- File deleted (Untitled.jpg)

#8 - 2012-08-01 15:26 - Etienne Massip

- File deleted (201204232223_002.JPG)
